#version 130
#extension all : warn

#pragma STDGL
#pragma optimize(on)
#pragma debug(on)

/* Uniform */
uniform sampler2D texture3;

/* In */
in vec2 texCoord3;

/* Out */
out vec4 outColor;

/* Main */
void main(void)
{
	outColor = texture(texture3, texCoord3.st);
	if(outColor.rgb == vec3(0.0, 0.0, 0.0))
	{
		discard;
	}
}
